Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058923 - Review Request: eclipse-m2e-buildhelper - M2E Build Helper connector
Summary: Review Request: eclipse-m2e-buildhelper - M2E Build Helper connector
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Rati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1058881
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 18:32 UTC by Mikolaj Izdebski
Modified: 2014-01-30 16:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-30 16:03:18 UTC
rrati: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-01-28 18:32:23 UTC
Spec URL: http://mizdebsk.fedorapeople.org/review/eclipse-m2e-buildhelper/eclipse-m2e-buildhelper.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/eclipse-m2e-buildhelper/eclipse-m2e-buildhelper-0.15.0-0.1.git2dbbbb7.fc20.src.rpm
Description: This package provides Build Helper connector for Eclipse M2E.
Fedora Account System Username: mizdebsk

Comment 1 Mikolaj Izdebski 2014-01-29 19:48:43 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6469855

Comment 2 Robert Rati 2014-01-30 14:20:25 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 6 files have unknown license. Detailed output of
     licensecheck in /home/rrati/review/1058923-eclipse-m2e-
     buildhelper/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eclipse-m2e-buildhelper-0.15.0-0.1.git2dbbbb7.fc21.noarch.rpm
          eclipse-m2e-buildhelper-0.15.0-0.1.git2dbbbb7.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint eclipse-m2e-buildhelper
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
eclipse-m2e-buildhelper (rpmlib, GLIBC filtered):
    osgi(org.eclipse.m2e.core)
    osgi(org.eclipse.m2e.jdt)



Provides
--------
eclipse-m2e-buildhelper:
    eclipse-m2e-buildhelper
    osgi(org.sonatype.m2e.buildhelper)



Source checksums
----------------
https://github.com/tesla/m2eclipse-buildhelper/archive/2dbbbb758f72c7665f590feec7f84e855c7b9951/eclipse-m2e-buildhelper-0.15.0-2dbbbb7.tar.gz :
  CHECKSUM(SHA256) this package     : 313e68daa57dc63f7ef9ba1faa5a6dd7900e62633a8330b4d92dd7ce90a66e34
  CHECKSUM(SHA256) upstream package : 313e68daa57dc63f7ef9ba1faa5a6dd7900e62633a8330b4d92dd7ce90a66e34


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-with-koji-x86_64 -b 1058923
Buildroot used: fedora-rawhide-with-jenkins-xmvn-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Package Approved

Comment 3 Mikolaj Izdebski 2014-01-30 14:24:17 UTC
New Package SCM Request
=======================
Package Name: eclipse-m2e-buildhelper
Short Description: M2E Build Helper connector
Owners: mizdebsk msrb sochotni
Branches: f20
InitialCC: java-sig

Comment 4 Gwyn Ciesla 2014-01-30 14:50:11 UTC
Git done (by process-git-requests).

Comment 5 Mikolaj Izdebski 2014-01-30 16:03:18 UTC
Rawhide build completed: http://koji.fedoraproject.org/koji/taskinfo?taskID=6472414

Closing.


Note You need to log in before you can comment on or make changes to this bug.